"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../../sheep/index.js");
require("../../../sheep/url/index.js");
require("../../../sheep/store/index.js");
require("../../../sheep/store/app.js");
require("../../../sheep/api/promotion/diy.js");
require("../../../sheep/request/index.js");
require("../../../sheep/config/index.js");
require("../../../sheep/platform/index.js");
require("../../../sheep/platform/provider/wechat/index.js");
require("../../../sheep/platform/provider/wechat/miniProgram.js");
require("../../../sheep/api/member/auth.js");
require("../../../sheep/api/member/social.js");
require("../../../sheep/api/member/user.js");
require("../../../sheep/platform/provider/apple/index.js");
require("../../../sheep/platform/share.js");
require("../../../sheep/router/index.js");
require("../../../sheep/hooks/useModal.js");
require("../../../sheep/helper/index.js");
require("../../../sheep/helper/test.js");
require("../../../sheep/helper/digit.js");
require("../../../sheep/helper/throttle.js");
require("../../../sheep/platform/pay.js");
require("../../../sheep/api/pay/order.js");
require("../../../sheep/store/user.js");
require("../../../sheep/store/cart.js");
require("../../../sheep/api/trade/cart.js");
require("../../../sheep/api/pay/wallet.js");
require("../../../sheep/api/trade/order.js");
require("../../../sheep/api/promotion/coupon.js");
require("../../../sheep/store/sys.js");
require("../../../sheep/store/modal.js");
require("../../../sheep/config/zIndex.js");
const _sfc_main = {
  __name: "order",
  props: {
    from: String,
    orderData: {
      type: Object,
      default: {}
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.t(__props.orderData.order_sn),
        b: common_vendor.t(__props.orderData.create_time.split(" ")[1]),
        c: __props.from != "msg"
      }, __props.from != "msg" ? {
        d: common_vendor.f(__props.orderData.items, (item, k0, i0) => {
          return common_vendor.e({
            a: common_vendor.unref(sheep_index.sheep).$url.cdn(item.goods_image),
            b: common_vendor.t(item.goods_title),
            c: item.goods_num
          }, item.goods_num ? {
            d: common_vendor.t(item.goods_num)
          } : {}, {
            e: common_vendor.t(item.goods_price),
            f: item
          });
        }),
        e: common_vendor.t(__props.orderData.status_text)
      } : {
        f: common_vendor.f([__props.orderData.items[0]], (item, k0, i0) => {
          return {
            a: common_vendor.unref(sheep_index.sheep).$url.cdn(item.goods_image),
            b: common_vendor.t(item.goods_title),
            c: item
          };
        }),
        g: common_vendor.t(__props.orderData.items.length),
        h: common_vendor.t(__props.orderData.pay_fee),
        i: common_vendor.t(__props.orderData.status_text)
      });
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-a458419c"], ["__file", "/Users/RuHu.Xu/Desktop/mall-newfeifan-zx-app/pages/chat/components/order.vue"]]);
wx.createComponent(Component);
